Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.archive.crawler.admin
Class CrawlJob.MBeanCrawlController

    java.lang.Object
      org.archive.crawler.framework.CrawlController
          org.archive.crawler.admin.CrawlJob.MBeanCrawlController

All Implemented Interfaces:
  java.io.Serializable, Reporter

Enclosing class:
  CrawlJob

    public class CrawlJob.MBeanCrawlController

extends CrawlController
implements java.io.Serializable

Subclass of crawlcontroller that unregisters beans when stopped. Done as subclass so CrawlController doesn't get any JMX (or 'CrawlJob') pollution, so for sure CrawlJob is unregistered with JMX and so any listeners on the CrawlJob get a chance to get crawl ended message (These latter notifications may not actually be getting through -- TBD).

TODO: This override dirtys the data model since CC knows about CJs. The facility provided by this class emitting events and statistics so they can be read by JMX needs to go back into CC. Probably best to registering in JMX the CC, rather than CJ. Lets do this in Heritrix 2.0 since means changing the JMX API some.

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.archive.crawler.framework.CrawlController
`CURRENT_LOG_SUFFIX, localErrors, MANIFEST_CONFIG_FILE, MANIFEST_LOG_FILE, MANIFEST_REPORT, MANIFEST_REPORT_FILE, PROCESSORS_REPORT, registeredCrawlURIDispositionListeners, reports, REPORTS, runtimeErrors, statistics, uriErrors, uriProcessing`

Constructor Summary
`CrawlJob.MBeanCrawlController()`

Method Summary
`protected void` | `completeStop()` Called when the last toethread exits.
`CrawlJob` | `getCrawlJob()`
`void` | `progressStatisticsEvent(java.util.EventObject e)` Called whenever progress statistics logging event.
`void` | `setCrawlJob(CrawlJob cj)`

Methods inherited from class org.archive.crawler.framework.CrawlController
`acquireContinuePermission, addCrawlStatusListener, addCrawlURIDispositionListener, addOrderToManifest, addToManifest, atFinish, beginCrawlStop, checkFinish, checkpointBdb, checkpointBigMaps, closeLogFiles, convertToFatalConfigurationException, copySettings, fireCrawledURIDisregardEvent, fireCrawledURIFailureEvent, fireCrawledURINeedRetryEvent, fireCrawledURISuccessfulEvent, freeReserveMemory, getActiveToeCount, getBdbEnvironment, getBdbLogFileName, getBigMap, getCheckpointCopyBdbjeLogs, getCheckpointRecover, getCheckpointRecover, getCheckpointsDisk, getClassCatalog, getDisk, getFirstProcessorChain, getFrontier, getLogsDir, getOrder, getPostprocessorChain, getProcessorChainList, getReports, getScope, getScratchDisk, getServerCache, getSettingsDir, getSettingsHandler, getState, getStateDisk, getStatistics, getToeCount, getToePool, initialize, installThreadContextSettingsHandler, isCheckpointing, isCheckpointRecover, isCheckpointRecover, isPaused, isPausing, isRunning, kickUpdate, killThread, logProgressStatistics, logUriError, multiThreadMode, oneLineReportThreads, processBdbLogs, releaseContinuePermission, reportManifestTo, reportProcessorsTo, reportTo, reportTo, requestCrawlCheckpoint, requestCrawlPause, requestCrawlResume, requestCrawlStart, requestCrawlStop, requestCrawlStop, restoreStatisticsTracker, rotateLogFiles, runFrontierRecover, sendCheckpointEvent, sendCrawlStateChangeEvent, setBdbjeBkgrdThreads, setOrder, setupCheckpointRecover, singleLineLegend, singleLineReport, singleLineReportTo, singleThreadMode, toeEnded, toePaused`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CrawlJob.MBeanCrawlController

    public CrawlJob.MBeanCrawlController()

Method Detail

### getCrawlJob

    public CrawlJob getCrawlJob()

### setCrawlJob

    public void setCrawlJob(CrawlJob cj)

### progressStatisticsEvent

    public void progressStatisticsEvent(java.util.EventObject e)

  Description copied from class: `CrawlController`
  Called whenever progress statistics logging event.

  Overrides:
    `progressStatisticsEvent` in class `CrawlController`
  Parameters:
    `e` - Progress statistics event.

### completeStop

    protected void completeStop()

  Description copied from class: `CrawlController`
  Called when the last toethread exits.

  Overrides:
    `completeStop` in class `CrawlController`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2008 Internet Archive. All Rights Reserved.